slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNEvaluateDerivative

Computes the value of the derivative f'(x) for a given x.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNEvaluateDerivative(FN fn,PetscScalar x,PetscScalar *y)

Not Collective

### Input Parameters

| fn | - the math function context
| x | - the value where the derivative must be evaluated

### Output Parameter

| y | - the result of f'(x)

### Note

Scaling factors are taken into account, so the actual derivative evaluation will return alpha*beta*f'(alpha*x).

### See Also

FNEvaluateFunction()

### Level

intermediate

### Location

src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages